For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
    • File Picker
          • The Folder object
          • GET/folders
          • POST/folders
          • GET/folders/{id}
          • GET/folders/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsFolders

/folders/{id}

GET
/filestorage/v1/folders/:id
GET
/api/filestorage/v1/folders/:id
$curl -G https://api.merge.dev/api/filestorage/v1/folders/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode expand=permissions,parent_folder,drive
200Retrieved
1{
2 "id": "e021f7a7-74fc-4487-8e12-14180c92d3b7",
3 "remote_id": "14",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "name": "R&D",
7 "folder_url": "https://drive.com/1234",
8 "size": 2738000,
9 "description": "All things R&D related at Merge!",
10 "parent_folder": "47ce474c-asdf-34a2-754r-629f799f7d31",
11 "drive": "31ce474c-asdf-34a2-754r-629f799f7d12",
12 "permissions": [
13 {
14 "id": "105b9265-0d52-4e5c-bb88-0cb681ec77f6",
15 "remote_id": "102895",
16 "created_at": "2020-03-31T00:00:00Z",
17 "modified_at": "2020-06-20T00:00:00Z",
18 "user": "21ce474c-asdf-34a2-754r-629f799f7d12",
19 "group": null,
20 "type": "USER",
21 "roles": [
22 "OWNER"
23 ],
24 "remote_data": null
25 },
26 {
27 "id": "a77ac1b4-a04f-4baa-a388-de3c0c173e1c",
28 "remote_id": null,
29 "created_at": "2020-03-31T00:00:00Z",
30 "modified_at": "2020-06-20T00:00:00Z",
31 "user": null,
32 "group": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
33 "type": "GROUP",
34 "roles": [
35 "READ"
36 ],
37 "remote_data": null
38 }
39 ],
40 "remote_created_at": "2024-02-02T00:00:00Z",
41 "remote_updated_at": "2024-06-10T00:00:00Z",
42 "remote_was_deleted": true,
43 "field_mappings": {
44 "organization_defined_targets": {
45 "custom_key": "custom_value"
46 },
47 "linked_account_defined_targets": {
48 "custom_key": "custom_value"
49 }
50 },
51 "remote_data": [
52 {
53 "path": "/folders",
54 "data": null
55 }
56 ]
57}

Returns a Folder object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/folders

Next

/folders/meta/post

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
namestring or null<=254 characters
The folder's name.
folder_urlstring or null<=2000 characters
The URL to access the folder.
sizelong or null-9223372036854776000-9223372036854776000
The folder's size, in bytes.
descriptionstring or null<=2000 characters
The folder's description.
parent_folderstring or nullformat: "uuid"
The folder that the folder belongs to.
drivestring or nullformat: "uuid"
The drive that the folder belongs to.
permissionslist of objects
remote_created_atdatetime or null
When the third party's folder was created.
remote_updated_atdatetime or null
When the third party's folder was updated.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only